Top

Compatibility With macOS Mojave - 10.14

Is My Intego Software Compatible With macOS Mojave?

Yes. Intego products are now fully compatible with macOS 10.14, Mojave. Make sure your software is up to date by using the NetUpdate application. 

Checking for Software Updates with NetUpdate

The following versions of Intego software are required for macOS Mojave compatibility:

X9:

  • VirusBarrier – 10.9.16
  • NetBarrier – 10.9.6
  • ContentBarrier – 10.9.5
  • Personal Backup – 10.9.6
  • Washing Machine – 10.9.6
  • NetUpdate – 10.9.5
  • Common Services – 10.9.6

Note: If you have recently upgraded to macOS Mojave and your software is not working as expected, you may need to reinstall to resolve the issue. You can find an installer at the link below:

Software Downloads

Have more questions? Submit a request

Comments